# class ActionDispatch::Http::ParameterFilter

### Constants

FILTERED

### Public Class Methods

new(filters) click to toggle source

    # File lib/action_dispatch/http/parameter_filter.rb, line 5
    def initialize(filters)
      @filters = filters
    end

### Public Instance Methods

filter(params) click to toggle source

    # File lib/action_dispatch/http/parameter_filter.rb, line 9
    def filter(params)
      if enabled?
        compiled_filter.call(params)
      else
        params.dup
      end
    end